package com.example.gobangapi;

import com.example.gobangapi.utils.GoBangUtils;
import org.springframework.stereotype.Component;

import javax.websocket.*;
import javax.websocket.server.PathParam;
import javax.websocket.server.ServerEndpoint;

@ServerEndpoint("/game/{username}")
@Component
public class controller {

    @OnOpen
    public void open(@PathParam("username") String username, Session session){
        GoBangUtils.open( username, session );
    }

    @OnClose
    public void close( Session session ){
        GoBangUtils.close(session);
    }

    @OnMessage
    public void onMsg(String message, Session session){
        GoBangUtils.onMsg(message, session);
    }

    @OnError
    public void onErr(Throwable throwable, Session session){
        throwable.printStackTrace();
        GoBangUtils.close(session);
    }

}
